(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    126841,       2665]
NotebookOptionsPosition[    123568,       2551]
NotebookOutlinePosition[    123909,       2566]
CellTagsIndexPosition[    123866,       2563]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Get Data", "Subsection",
 CellChangeTimes->{{3.6731306196610503`*^9, 3.673130621450016*^9}}],

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.617457861927617*^9, 3.617457879743436*^9}, {
   3.6194369453422427`*^9, 3.61943695697795*^9}, {3.62467556368227*^9, 
   3.6246755651754665`*^9}, 3.6731304932545056`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data1", "=", 
   RowBox[{"Import", "[", "\"\<ercot-lmp.mx\>\"", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6731313121944437`*^9, 3.6731313428989115`*^9}, {
  3.673131565927045*^9, 3.673131587111249*^9}, {3.673131628003143*^9, 
  3.6731316358376245`*^9}, {3.673131675952016*^9, 3.673131677123961*^9}, {
  3.6753888654545217`*^9, 3.67538886840421*^9}}],

Cell[CellGroupData[{

Cell["Days", "Subsubsection",
 CellChangeTimes->{{3.6731315353721886`*^9, 3.6731315358721886`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"days", "=", 
   RowBox[{
    SubscriptBox["data1", 
     RowBox[{"[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}]], "//", "Union"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6731314880849404`*^9, 3.6731315035549707`*^9}, {
  3.673131547502099*^9, 3.6731315544533377`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"bds", "=", 
    RowBox[{"GroupBy", "[", 
     RowBox[{"days", ",", 
      RowBox[{
       RowBox[{"DayMatchQ", "[", 
        RowBox[{"#", ",", "\"\<BusinessDay\>\"", ",", 
         RowBox[{"HolidayCalendar", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<UnitedStates\>\"", ",", "\"\<NERC\>\""}], "}"}]}]}], 
        "]"}], "&"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<ercot-lmp-bds.mx\>\"", ",", "bds"}], "]"}], ";"}], 
  "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.67538889333031*^9, 3.675388895443361*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"bds", "=", 
   RowBox[{"Import", "[", "\"\<ercot-lmp-bds.mx\>\"", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6731316889854794`*^9, 3.67313170080519*^9}, {
  3.6753888982268705`*^9, 3.6753889007755947`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Preprocess Data", "Subsection",
 CellChangeTimes->{{3.6731313586522474`*^9, 3.673131361866352*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"byDay", "=", 
  RowBox[{"GroupBy", "[", 
   RowBox[{"data1", ",", 
    RowBox[{"First", "\[Rule]", "Last"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.672975358298015*^9, 3.6729753795521965`*^9}, {
  3.672975593993102*^9, 3.672975601813359*^9}, {3.672975701876196*^9, 
  3.672975703481311*^9}, {3.673050771579195*^9, 3.673050773334359*^9}}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"\[LeftAssociation]", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"2011", ",", "2", ",", "2"}], "}"}], "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "113.14`", ",", "112.6`", ",", "136.37`", ",", "155.53`", ",", 
              "197.17`", ",", "303.14`", ",", "698.08`", ",", "842.39`", ",", 
              "605.94`", ",", "426.7`", ",", "352.43`", ",", "210.54`", ",", 
              "146.9`", ",", "151.12`", ",", "148.95`", ",", "135.53`", ",", 
              "220.04`", ",", "484.93`", ",", "713.21`", ",", "716.08`", ",", 
              "715.03`", ",", "702.95`", ",", "263.15`", ",", "198.53`"}], 
             "}"}]}], ",", 
           TemplateBox[{"1377"},
            "OutputSizeLimit`Skeleton",
            DisplayFunction->(FrameBox[
              RowBox[{"\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}],
               Background -> GrayLevel[0.75], 
              BaseStyle -> {
               "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                ShowStringCharacters -> False}, BaselinePosition -> Baseline, 
              ContentPadding -> False, FrameMargins -> 1, FrameStyle -> 
              GrayLevel[0.75], RoundingRadius -> 7]& )], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"2014", ",", "11", ",", "11"}], "}"}], "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "17.21`", ",", "15.11`", ",", "9.68`", ",", "7.72`", ",", 
              "9.17`", ",", "15.77`", ",", "25.49`", ",", "27.7`", ",", 
              "23.43`", ",", "26.69`", ",", 
              TemplateBox[{"4"},
               "OutputSizeLimit`Skeleton",
               DisplayFunction->(FrameBox[
                 
                 RowBox[{
                  "\" \[CenterEllipsis]\"", #, "\"\[CenterEllipsis] \""}], 
                 Background -> GrayLevel[0.75], 
                 BaseStyle -> {
                  "Deploy", FontColor -> GrayLevel[1], FontSize -> Smaller, 
                   ShowStringCharacters -> False}, BaselinePosition -> 
                 Baseline, ContentPadding -> False, FrameMargins -> 1, 
                 FrameStyle -> GrayLevel[0.75], RoundingRadius -> 7]& )], ",",
               "36.57`", ",", "34.24`", ",", "45.63`", ",", "75.67`", ",", 
              "69.6`", ",", "60.47`", ",", "50.06`", ",", "42.48`", ",", 
              "32.76`", ",", "26.51`"}], "}"}]}]}], "\[RightAssociation]"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarCategory",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            Identity, 55, 23385079944754591954, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            Identity, 55, 23385079944754591954, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            Identity, 55, 23385079944754591954, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "SuggestionsBarControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Background->RGBColor[0.9657, 0.9753, 0.9802],
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[55]]], "Output",
 CellChangeTimes->{3.67297538062096*^9, 3.672975606037092*^9, 
  3.6729757063039923`*^9, 3.673050774269993*^9, 3.6731313705959244`*^9, 
  3.673141375965063*^9, 3.6747866551707397`*^9, 3.6753001879771166`*^9, 
  3.675389035105274*^9}]
}, Open  ]],

Cell["\<\
Some days have 25 hours (due to change in clock), so be careful:\
\>", "Text",
 CellChangeTimes->{{3.673131428760699*^9, 3.673131448204282*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"Length", "/@", 
   RowBox[{"Values", "[", "byDay", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6730508022665243`*^9, 3.673050828094633*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
     0.0055000000000000005`], AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd2DEM3N5BBvAnlEo3ZPCQ4YYMBkXoVEWVaQMckLZuCXCloTUlwAGBum3a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      "]]}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 23.950000000000003`},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 1379.}, {24., 25.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.6730508089429755`*^9, 3.6730508289461937`*^9}, 
   3.6731413800750937`*^9, 3.6753890435177956`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dailyPeak", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"bds", "[", "True", "]"}], ",", 
      RowBox[{"Mean", "/@", 
       RowBox[{"(", 
        SubscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"byDay", "[", "#", "]"}], "&"}], "/@", 
           RowBox[{"bds", "[", "True", "]"}]}], ")"}], 
         RowBox[{"[", 
          RowBox[{"[", 
           RowBox[{"All", ",", 
            RowBox[{"6", ";;", "21"}]}], "]"}], "]"}]], ")"}]}]}], "}"}], "//",
     "Transpose"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dailyOffPeak", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"bds", "[", "True", "]"}], ",", 
      RowBox[{"Mean", "/@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{"#", ",", 
            RowBox[{"{", 
             RowBox[{"6", ",", "21"}], "}"}]}], "]"}], "&"}], "/@", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"byDay", "[", "#", "]"}], "&"}], "/@", 
           RowBox[{"bds", "[", "True", "]"}]}], ")"}]}], ")"}]}]}], "}"}], "//",
     "Transpose"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.673053278531191*^9, 3.6730533014712524`*^9}, {
  3.673141391195695*^9, 3.673141391508174*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"monthlyPeak", "=", 
   RowBox[{"Mean", "/@", 
    RowBox[{"GroupBy", "[", 
     RowBox[{"dailyPeak", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Most", "[", 
         SubscriptBox["#", 
          RowBox[{"[", 
           RowBox[{"[", "1", "]"}], "]"}]], "]"}], "&"}], "\[Rule]", 
       "Last"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6747909854089155`*^9, 3.674791111871315*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Peak/Off-peak plots", "Subsection",
 CellChangeTimes->{{3.67313177409229*^9, 3.6731317799307675`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DateListPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"dailyPeak", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"monthlyPeak", "[", 
          RowBox[{"#", "//", "Most"}], "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"bds", "[", "True", "]"}]}]}], "}"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"Directive", "[", " ", "Medium", "]"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "300"}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Daily\>\"", ",", "\"\<Monthly\>\""}], "}"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6730529251753263`*^9, 3.6730531675136986`*^9}, {
  3.673053296486139*^9, 3.673053298361226*^9}, {3.6730541756341867`*^9, 
  3.673054201639155*^9}, {3.6747911852081594`*^9, 3.6747911905206594`*^9}, {
  3.674791224703773*^9, 3.6747913590142784`*^9}, {3.6747914579247494`*^9, 
  3.674791460065375*^9}, {3.6753002183893085`*^9, 3.6753002300455575`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.004583333333333334], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJxFlX1sk1UUxhtwBpksFSYB0dHhvtfOdl27j7ajF0SYG6PbmNOwxTo30BCz
IsEImKwqE7Mo6z86NyJ2gEr8GJXMbCZO59RgFKVRmTMaKZqw+UKkGlGcUTzn
uafxTcjy49x77nOec+5tdntXY+c8k8n0OP3jv896lfV4lqFM/E087Oc/Y8Rt
fZOXj73UyRxxrzTUh5cLWvuuX888ESQubKUF0duZk73ETWNZPRdu2cRseZv4
81P0dd3NHDib2p9Rz5xosxiKlzeM+JnNTxO/wzwF9p+wyP44OPR9ihco5ui1
2YbatpW+o4jbe4h3+BZ+c2S2mjl4nLiBD7gH8ci32ZJ/YjX0z19lKKKxrCGs
T9qIaXfI14H84TeIL3KCFVgfmyJ28jcKTphuNZSLOU3rLyb+gvVNI+5vJmZ7
Cn73Mce/Il7NB7Qhbvo3FX8C59kLcgz1J9kz2b0G+htzpB/14MhjOVLv8174
+zdxYk/m8PounB/IzZX948gf3pQr9XagvtjuXPHnNaxPHCGuZj3pOD+0Ks9Q
gwP0ndH+1uWJP804P/5InvS7fS30D+WJvgyt/7NUfPE6+FuTL/XdjHhyZ770
bw5sOUS8l+SfS4IDnxCz3LEr0Bf+LV/09ON8844COS+C9f6DxBFK37pWz8fH
xNy+hU1a/yXilZxvBHrjywsNVcSCrHfA3xcKZf5uwvrIZIpPIN/ExULx5y9w
cmmR+DuKfBZVJPVVIx57n/hH7scQ6k/8TBxivw/fCf2ZxVJ/L+6Lv5qYt7c+
Bw49QHwO+6HPNFMs87Yf+ew3WKWeKZwf9Filn3VafyfxFk6Yp/X3WWX/g/Av
kGEz1I1k954rmIdwhU30XIP9sXabzP+7ej6eIU5nLkLcPGqTfmn/o64SQ/3B
fpyGvvi9xNPs/3KwqZd4Axf0pL6fIyXSv0lw8IcS8XdG+9t6m6EauQGLwJb9
xCw306zn+y3io2xot76f3xG/zJyL+mJpdvFvl34/9tml/le1v8PEbFeoG+9X
dNou87MC8fg8h6H28bzX6Pm2OUSvGzxxxiH5W7A/edUh/a0GW4pKDcV2nspA
vwObiX/i9T7EE1+WSv60Wvj5T6n037ERevOdhnqT69XzEmpwSr9zwNG9TvHf
i3z2Oaf48zU4mFMmXFWDeagvk/vTUgf9jxLz87G1HfmSh8vkvi3DexzOdkm/
nIjHal0y7+u0/l0umbdjmE9zNLV+N+L+T11Szzg4vsEt7+clsGmnW/w5AD32
F93Sz/kB6D/plnnIhp7Ir6n9S1BPYLDcUFzOwFVw+KNyuX+DWu8v5XK/NyJf
YlmFoRbw/NbhvFB/hbyfrzTAzw8qpP9rmqD3QoX0u24z9C6tNNR1vH+mBXr9
xPzzNTm7BX6+Vyn3pb8Zfs5WSv4hrLcsqZL38BDyB3zE3P6e+7E+vI34Kf6P
8zjPfL5Kfh9nsd9v9gjP4bxQlUfu22gQ+js80t+zd0H/AY/0P137ucir36OT
tVgfKSfm69nS1A7993m1/vHT2/3bXx8eeMj7/+//f4/T6AQ=
         "]], 
        LineBox[{{3.5219479000823894`*^9, 300.}, {3.5220096*^9, 132.065}, {
         3.522096*^9, 68.011875}, {3.5223552*^9, 102.26062499999999`}, {
         3.5224416*^9, 66.83625}, {3.522528*^9, 73.818125}, {3.5226144*^9, 
         135.935625}, {3.5227008*^9, 100.8175}, {3.52296*^9, 122.571875}, {
         3.5230464*^9, 227.35312499999998`}, {3.5231328*^9, 266.109375}, {
         3.5231465232238317`*^9, 300.}}], 
        LineBox[CompressedData["
1:eJxVWndY1FfWnqy7m4ga0ZhmHTXRtI1j19hmRMTu2AugI/YGg6ICtkFBsDJ2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         "]], 
        LineBox[CompressedData["
1:eJwt0EFIwmAUB/ARBGEUEkUQYQYRFgSGdQrFpbXCEPXQJYUINCEoDbpIBw95
DEcUVBAEQacQD0EmREPqVtDN1JxTgmAijcAKuvTe83swx8+3/fe+N7y25Qu2
cRw3Ahfefx4Lk395leewpG07/GqDryq/HoLqWkYbBbBNl7+IFHxoTxS8ksw1
TZKAVj7B4374Y4+sHyiwvLATbXeCMS6kzaMjm+CoFQLD5PNjMMZbd2fR5v6i
yj80Tf6ksoRe5cFjmD9KeeIGGGlyu9HSEdiCVaK+dl9k+Vly3FZi/TOaLx0G
12K9KaFBfeUADF/X5R1k/R0YX4/MtOb/AOdwnima9yX4pvK3hkTdu0l5nAgW
8QHvHM2fBQ9BO/O7QPO/g/tSQjV2SM+L3WWVf8K6pHzjfpmdv4fyPTfgb/hc
bofej1fB2NZNUD/dKbN9XrXmn5bZfmou2u81uOHNGBLPrf3KMssXF2n+jorK
Y3zzlPbNWSps/tb5zYEK298XnUcqgX0QVw/QPFq7ovInWA6X/R9H1+jY
         "]], 
        LineBox[CompressedData["
1:eJxVlWtMm2UUx1/m3BwusdHdjBt2H4zMa8f4YAzo+w4HQ01WQOYNSXUKzoy0
fjARNlznhskcgzIXjfPWjKmoCatbtkA0A9kHMwdat2Q4IrMMub1l8AJtga5Q
z/k/hw++CaG/nMtzznn+z/Osf81d+MYiTdMO0x//p8/5Usg0TniyU7sPP6sT
ew8QN+f1Va24Brbd0mca56PpJfU9TzPrDxO/Te6NVTnMnueJkenzzcz+fcQx
cu/YBHvwhz7JNwy764HrYq/OY/Y9R/x7J32PbWVuf4/49u5GT3Ykl9lqIt7E
3wj87ZeJN1B4tPQZ5kBBv2kc+5S+yi3Mod3EbE5v0lH/N/1SfxysB4nLy+iL
G6g/TsztN94G1ir/Ff861OtoJO5gbkI/ri7ii1zvX2DfNDF115y3D+u3rx8w
jT2EfRlPYZ6/Dch8ziFfIELM4Z0WOJQ2KPltiLflE3P7qW1g/6+D4n8K8whO
DEq/O8Da2iHT4OX7juWj3tyhhfljXi7PkNTjUfMcI07lBe4E2+8elvp2oV5n
zrDMbxjx3gpiHxeYg/yBT4jvrQkXtIzCX181YhqZvD8r4e/Ria9w/cuQ3//W
iMSfVvUfHZH8g+hPayNO4R9HlB6yTdPo4n6vwb+9nPgALZfWi/WsBuJRwho3
4u0/mzL/H1X9g8Qst+b7lB5eD8s8e9V864k5PLwa6+mtxFvZfyfW8/SHZT6F
8HfUjppGA9dfDXadHZX6VsHfFyLO4P5PqnpTb8h8elS9mTdE/5cQ7z1NfJL5
CPQe6CVm97SrSg9Lx0yDseYOsC1jTPRYq/RbQhzh/f0CHOwZk/5fxXrarePC
r6j6Hx2X/U+o+l8cl/4rVP37x+W8HVd6WGSZRhYP4JCa50OWnI9c6N273ZL4
fJyXgJeYy+tYh3pC31vSz0HU79kwYRp1PL/9iPcXEbdSeMEV2IPVEzIvpT+t
aUL6d2M+jkvEhbxeeSnm65yU/GucmG/V5MJ9hXj718TsXlCr6v9jUuKL1Hmc
nRS9FqFf27tTsh9pSg/Hifl6KDuq7rdOYpZPd4qqPzYl67vV/WaPiL5bkd/1
VUTix1Gf70JE5utR99tURPoNYD+sdVHR9zvIZ98alf5FD1ZU8leqeu+Jyfk+
A399S0zO01qs73HHpL9t6nyNLdjfhN2xZlr4S3WfbZ6W/YzC7ts1LfdLPdZv
/5h4N+snhv11rpyR/Bdg9z5JzOlKzoMDO4mT/A2g39BHM3Ke6pDfdm5G9mcx
2J81axrcTnQJOFg2K/nvRz6tgfgu3uDHoTfHT7NS70XYXQPEH2B+sFs74nKf
LVd6qIuLPkrRr7NlwX5C3W/X46Lfpeo8Lr8p7+Fq5NcP3RR9rIDdc2bB7tuO
+v8h5nZaTMw7uCwh908x/LXMxP/uM9+phMR/9gTm+3dC9nsO87WWzEl/YfRj
3zgn8xgCO1+ek3nWKn1cJXbz+XQpfSyel/W7lD4emZf38qzS8wvzop9fEO9/
f17OdwJ2R0pS3uOA0seDSTk/bVjfV5yU+7IC3L43KedhI/JZ3yXlvW7MwnzT
tbCRz/6XszHfQmLE71X3xR5i+B9U7/W3xJjXh8iv/0kMfaj3ObgtJaz0mAZ/
rYoY70Fxjv4fFgmS3g==
         "]]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.004583333333333334], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJxV2GeUDXcDx/EJESXKSESCYLTVGW115mrLaqNG2V2DKLHC6J3ROxOsTgbR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         "]], 
        LineBox[CompressedData["
1:eJxV0ktsDWEYxvGvTRHSxUSQikumOxxhNF1qTLXqmhh1CanFhCKEdhILelw6
LgsJ4WsIS4PQYjOpEA05RjcNIaas2riMc7S05Zjq0Wpdp6cb/zd58+a3e/Lk
LdxWW7kjVwhxKtrRG41z7H1vadXbgsfl9eV6ZP82bc5LwnID7R2lwyZafUW7
61JwcIhWbtC6T1sjtKj7AGvXaPM5LYdor7ALtp/SboYOZncz70raaYscSyRj
iZqKbJ/9tJj5EdYqaNOiwzStTv8EG2W0vY92L9H6tB7Y0mlnD+1foMUjWpb0
wt4uOmyg1Ye00U0H1X2wci5yXt0q2SjH/qGFtlK0duYzbN6jZUB7k77AYTFt
36HdN3QwIQ0rRbS+lfY7aTHuK/MvpM0ttDxBq7khbMyn7U20a9PBrchT9lfH
O1qXZ/uc2w8762n/CC2aaO0l7Rnf4DBOq9dp4wVtD9PKwQFYv0pbz2hnkPbV
DGxepuUT2hugw1nfmX8FHYSRU1dOujUtZdm8MwZhfRlt1dIiTWsFQ7C5lJZ7
ae8ibUz9AdtLaHc3HZynlQTtLB6G/Z20aKC1B7TZRYfbR2D1LG3cH3XJ6p78
9rF/TtJu/k9YP01bd2nnHe1P/AWLYlo2095rOhz/G1YX0UYVHXTQSt4f5l9A
W5tp5zit5fyFzRgtN9JePR3epO05oq908prMgeZOPdtvJR0cppVGWm+n/bU5
sIj/539wtIoW
         "]]}}}, {}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 0}}, AxesOrigin -> {3.5037333000000005`*^9, 0}, 
     PlotRange -> {{3.5055936*^9, 3.6246528*^9}, {0, 300}}, PlotRangeClipping -> 
     True, ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {False, False}, 
     AxesLabel -> {None, None}, AxesOrigin -> {3.5037333000000005`*^9, 0}, 
     DisplayFunction :> Identity, Frame -> {{True, True}, {True, True}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Charting`FindScaledTicks[
         (Charting`getDateTicks[Automatic, {Automatic}, 
          (Map[DateList, {
            SlotSequence[1]}]& )[
           SlotSequence[1]], None, 5, {{0.0125, 0}, {0.0075, 0}}, 
          Automatic]& )[
          SlotSequence[1]], {Identity, Identity}]& , Charting`ScaledFrameTicks[
         (Charting`getDateTicks[Charting`getDateTicks[Automatic, {Automatic}, 
           (Map[DateList, {
             SlotSequence[1]}]& )[
            SlotSequence[1]], None, 5, {{0.0125, 0}, {0.0075, 0}}, 
           Automatic]& , {Automatic}, 
          (Map[DateList, {
            SlotSequence[1]}]& )[
           SlotSequence[1]], None, 5, {{0.0125, 0}, {0.0075, 0}}, None]& )[
          SlotSequence[1]], {Identity, Identity}]& }}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> Large, LabelStyle -> 
     Directive[Medium], 
     Method -> {"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
            Part[#, 1]], 
           (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
            Part[#, 1]], 
           (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{3.5055936*^9, 3.6246528*^9}, {0, 300}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 0}}, Ticks -> {None, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"Daily\"", "\"Monthly\""}, "LineLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.08250000000000002], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.08250000000000002], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.08250000000000002], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.08250000000000002], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
          Directive[Medium], FontFamily -> "Arial"}, Background -> Automatic, 
         StripOnInput -> False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.004583333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.004583333333333334`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "RGBColor[0.880722, 0.611041, 0.142051]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{"False", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"True", ",", "True"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"Directive", "[", "Medium", "]"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.6747913475600834`*^9, 3.674791360764244*^9}, 
   3.6747914615340967`*^9, {3.675300203289641*^9, 3.6753002312799234`*^9}, 
   3.67538905579749*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["By Month", "Subsection",
 CellChangeTimes->{{3.6731318551123037`*^9, 3.673131856315486*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"monthlyPeak", "=", 
   RowBox[{"GroupBy", "[", 
    RowBox[{"dailyPeak", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Most", "[", 
        RowBox[{"#", "//", "First"}], "]"}], "&"}], "\[Rule]", "Last"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"monthlyOffPeak", "=", 
   RowBox[{"GroupBy", "[", 
    RowBox[{"dailyOffPeak", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Most", "[", 
        RowBox[{"#", "//", "First"}], "]"}], "&"}], "\[Rule]", "Last"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"months", "=", 
   RowBox[{"Keys", "[", "monthlyPeak", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.673053338064969*^9, 3.673053400281706*^9}, {
  3.6730534347299333`*^9, 3.673053441735363*^9}, {3.6731318805526*^9, 
  3.673131887792839*^9}}],

Cell[CellGroupData[{

Cell["Explore", "Subsubsection",
 CellChangeTimes->{{3.6731414255057*^9, 3.6731414266150665`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dd", "=", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"data", "=", 
           RowBox[{"monthlyPeak", "[", 
            SubscriptBox["months", 
             RowBox[{"[", 
              RowBox[{"[", "im", "]"}], "]"}]], "]"}]}], "}"}], ",", 
         RowBox[{
          FractionBox["data", 
           RowBox[{"Mean", "[", "data", "]"}]], "-", "1"}]}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"dd", ",", 
       RowBox[{"Joined", "\[Rule]", "True"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["months", 
           RowBox[{"[", 
            RowBox[{"[", "im", "]"}], "]"}]], ",", 
          RowBox[{"AutocorrelationTest", "[", "dd", "]"}]}], "}"}]}]}], 
      "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"im", ",", "1", ",", 
     RowBox[{"months", "//", "Length"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6730534748721247`*^9, 3.673053696149492*^9}, {
  3.673055467724308*^9, 3.673055481229644*^9}, {3.6730555960740767`*^9, 
  3.6730557075092635`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`im$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`im$$], 1, 46, 1}}, Typeset`size$$ = {
    360., {113., 120.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`im$345119$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`im$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`im$$, $CellContext`im$345119$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`dd$ = 
         With[{$CellContext`data = $CellContext`monthlyPeak[
              
              Part[$CellContext`months, $CellContext`im$$]]}, \
$CellContext`data/Mean[$CellContext`data] - 1]}, 
        ListPlot[$CellContext`dd$, Joined -> True, PlotRange -> All, 
         PlotLabel -> {
           Part[$CellContext`months, $CellContext`im$$], 
           AutocorrelationTest[$CellContext`dd$]}]], 
      "Specifications" :> {{$CellContext`im$$, 1, 46, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{411., {160., 167.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.673053482132473*^9, 3.673053531391777*^9}, {
   3.6730535863081074`*^9, 3.6730536364450583`*^9}, {3.6730536733463635`*^9, 
   3.673053696727604*^9}, {3.673055469334031*^9, 3.673055481823382*^9}, 
   3.6730556765662847`*^9, 3.6730557096398315`*^9, 3.67478667199208*^9, 
   3.675304207234198*^9, 3.6753890748264875`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Autocorrelation Test", "Subsection",
 CellChangeTimes->{{3.673141607754213*^9, 3.6731416115691204`*^9}}],

Cell["\<\
Look for block (peak/off-peak) prices within each month. Consider sequence of \
their relative deviation from average monthly price. Check if this sequence \
has autocorrelation. Find probability that thie sequence has no \
autocorrelation (probability over all months).\
\>", "Text",
 CellChangeTimes->{{3.673141668680394*^9, 3.673141703651445*^9}, {
  3.6731417416793203`*^9, 3.6731417448146744`*^9}, {3.673141782204691*^9, 
  3.6731419615567026`*^9}}],

Cell["Offpeak:", "Text",
 CellChangeTimes->{{3.6731419699817348`*^9, 3.6731419717688427`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"auto", "=", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"dd", "=", 
             RowBox[{"With", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"data", "=", 
                 RowBox[{"monthlyOffPeak", "[", 
                  SubscriptBox["months", 
                   RowBox[{"[", 
                    RowBox[{"[", "im", "]"}], "]"}]], "]"}]}], "}"}], ",", 
               RowBox[{
                FractionBox["data", 
                 RowBox[{"Mean", "[", "data", "]"}]], "-", "1"}]}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"AutocorrelationTest", "[", "dd", "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"im", ",", 
           RowBox[{"months", "//", "Length"}]}], "}"}]}], "]"}], ",", 
       "NumberQ"}], "]"}]}], "}"}], ",", 
   RowBox[{"1.0", 
    FractionBox[
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{"auto", ",", 
        RowBox[{
         RowBox[{"#", "<", "0.05"}], "&"}]}], "]"}], "//", "Length"}], 
     RowBox[{"auto", "//", "Length"}]]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6730564855319185`*^9, 3.67305651592587*^9}, {
  3.6730565642629895`*^9, 3.673056659137511*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"TemporalData", "::", "ntrlpth"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The data \
\[NoBreak]\\!\\(\\*InterpretationBox[RowBox[{TagBox[\\\"TemporalData\\\", \
\\\"SummaryHead\\\"], \\\"[\\\", DynamicModuleBox[{Typeset`open$$ = False}, \
PanelBox[PaneSelectorBox[List[Rule[False, \
GridBox[List[List[PaneBox[ButtonBox[DynamicBox[FEPrivate`FrontEndResource[\\\"\
FEBitmaps\\\", \\\"SquarePlusIconMedium\\\"]], RuleDelayed[ButtonFunction, \
Set[Typeset`open$$, True]], Rule[Appearance, None], Rule[Evaluator, \
Automatic], Rule[Method, \\\"Preemptive\\\"]], Rule[Alignment, List[Center, \
Center]], Rule[ImageSize, Dynamic[List[Automatic, Times[3.5`, CurrentValue[\\\
\"FontCapHeight\\\"], Power[AbsoluteCurrentValue[Magnification], -1]]]]]], \
GraphicsBox[List[List[], List[List[], List[], List[GrayLevel[0.5`], \
PointSize[0.125`], AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, \
685.19`], List[0.03`, 444.6`], List[0.06`, 586.36`], List[0.09`, 554.53`], \
List[0.16`, 275.11`], List[0.21`, 335.34`], List[0.25`, 435.62`], List[0.29`, \
455.76`], List[0.35000000000000003`, 623.99`], List[0.36`, 542.42`], \
List[0.39`, 566.71`], List[0.46`, 451.39`], List[0.49`, 618.6`], List[0.53`, \
624.18`], List[0.6`, 504.73`], List[0.62`, 618.98`], List[0.64`, 524.84`], \
List[0.67`, 608.33`], List[0.74`, 646.92`], List[0.78`, 560.7`], \
List[0.8300000000000001`, 757.84`], List[0.85`, 668.21`], List[0.9`, 821.5`], \
List[0.96`, 905.09`], List[1.`, 875.91`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]], List[GrayLevel[0.65`], PointSize[0.125`], \
AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, 189.49`], \
List[0.02`, 121.43`], List[0.06`, 181.54`], List[0.11`, 168.77`], List[0.17`, \
84.01`], List[0.2`, 87.77`], List[0.25`, 138.8`], List[0.26`, 138.52`], \
List[0.33`, 198.83`], List[0.34`, 188.84`], List[0.35000000000000003`, \
208.5`], List[0.37`, 197.82`], List[0.43`, 266.33`], List[0.46`, 233.34`], \
List[0.49`, 299.59`], List[0.55`, 343.52`], List[0.6`, 317.64`], List[0.66`, \
408.46`], List[0.6900000000000001`, 371.72`], List[0.74`, 601.65`], \
List[0.8200000000000001`, 683.5`], List[0.86`, 519.85`], List[0.9`, 414.55`], \
List[0.96`, 412.33`], List[1.`, 476.75`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]]], List[]], Rule[AspectRatio, 1], Rule[Axes, \
List[False, False]], Rule[AxesLabel, List[None, None]], Rule[AxesOrigin, \
List[0, 0]], Rule[Background, GrayLevel[0.93`]], Rule[BaseStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[DisplayFunction, Identity], \
Rule[Frame, List[List[True, True], List[True, True]]], Rule[FrameLabel, \
List[List[None, None], List[None, None]]], Rule[FrameStyle, \
Directive[Thickness[Tiny], GrayLevel[0.7`]]], Rule[FrameTicks, \
List[List[None, None], List[None, None]]], Rule[GridLines, List[None, None]], \
Rule[GridLinesStyle, Directive[GrayLevel[0.5`, 0.4`]]], Rule[ImageSize, \
List[Automatic, Dynamic[Times[3.5`, \
Times[CurrentValue[\\\"FontCapHeight\\\"], \
Power[AbsoluteCurrentValue[Magnification], -1]]]]]], Rule[LabelStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[Method, \
List[Rule[\\\"ScalingFunctions\\\", None]]], Rule[PlotRange, List[List[0.`, \
1.`], List[0.`, 905.09`]]], Rule[PlotRangeClipping, True], \
Rule[PlotRangePadding, 0.05`], Rule[Ticks, List[Automatic, Automatic]]], \
GridBox[List[List[TagBox[TemplateBox[List[RowBox[List[TagBox[\\\"\\\\\\\"Time:\
 \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"0\\\", \\\"SummaryItem\\\"]]], RowBox[List[TagBox[\\\"\\\\\\\" to \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"21\\\", \\\"SummaryItem\\\"]]]], \\\"RowDefault\\\"], \
\\\"SummaryItem\\\"], \\\"\\\\[SpanFromLeft]\\\"], List[RowBox[List[TagBox[\\\
\"\\\\\\\"Data points: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"22\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Paths: \\\\\\\"\\\", \\\"SummaryItemAnnotation\
\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"1\\\", \
\\\"SummaryItem\\\"]]]]], Rule[GridBoxAlignment, List[Rule[\\\"Columns\\\", \
List[List[Left]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[GridBoxSpacings, List[Rule[\\\"Columns\\\", List[List[2]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[BaseStyle, \
List[Rule[ShowStringCharacters, False], Rule[NumberMarks, False], \
Rule[PrintPrecision, 3], Rule[ShowSyntaxStyles, False]]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Rows\\\", List[List[Top]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaselinePosition, List[1, 1]]]], Rule[True, \
GridBox[List[List[PaneBox[ButtonBox[DynamicBox[FEPrivate`FrontEndResource[\\\"\
FEBitmaps\\\", \\\"SquareMinusIconMedium\\\"]], RuleDelayed[ButtonFunction, \
Set[Typeset`open$$, False]], Rule[Appearance, None], Rule[Evaluator, \
Automatic], Rule[Method, \\\"Preemptive\\\"]], Rule[Alignment, List[Center, \
Center]], Rule[ImageSize, Dynamic[List[Automatic, Times[3.5`, CurrentValue[\\\
\"FontCapHeight\\\"], Power[AbsoluteCurrentValue[Magnification], -1]]]]]], \
GraphicsBox[List[List[], List[List[], List[], List[GrayLevel[0.5`], \
PointSize[0.125`], AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, \
685.19`], List[0.03`, 444.6`], List[0.06`, 586.36`], List[0.09`, 554.53`], \
List[0.16`, 275.11`], List[0.21`, 335.34`], List[0.25`, 435.62`], List[0.29`, \
455.76`], List[0.35000000000000003`, 623.99`], List[0.36`, 542.42`], \
List[0.39`, 566.71`], List[0.46`, 451.39`], List[0.49`, 618.6`], List[0.53`, \
624.18`], List[0.6`, 504.73`], List[0.62`, 618.98`], List[0.64`, 524.84`], \
List[0.67`, 608.33`], List[0.74`, 646.92`], List[0.78`, 560.7`], \
List[0.8300000000000001`, 757.84`], List[0.85`, 668.21`], List[0.9`, 821.5`], \
List[0.96`, 905.09`], List[1.`, 875.91`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]], List[GrayLevel[0.65`], PointSize[0.125`], \
AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, 189.49`], \
List[0.02`, 121.43`], List[0.06`, 181.54`], List[0.11`, 168.77`], List[0.17`, \
84.01`], List[0.2`, 87.77`], List[0.25`, 138.8`], List[0.26`, 138.52`], \
List[0.33`, 198.83`], List[0.34`, 188.84`], List[0.35000000000000003`, \
208.5`], List[0.37`, 197.82`], List[0.43`, 266.33`], List[0.46`, 233.34`], \
List[0.49`, 299.59`], List[0.55`, 343.52`], List[0.6`, 317.64`], List[0.66`, \
408.46`], List[0.6900000000000001`, 371.72`], List[0.74`, 601.65`], \
List[0.8200000000000001`, 683.5`], List[0.86`, 519.85`], List[0.9`, 414.55`], \
List[0.96`, 412.33`], List[1.`, 476.75`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]]], List[]], Rule[AspectRatio, 1], Rule[Axes, \
List[False, False]], Rule[AxesLabel, List[None, None]], Rule[AxesOrigin, \
List[0, 0]], Rule[Background, GrayLevel[0.93`]], Rule[BaseStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[DisplayFunction, Identity], \
Rule[Frame, List[List[True, True], List[True, True]]], Rule[FrameLabel, \
List[List[None, None], List[None, None]]], Rule[FrameStyle, \
Directive[Thickness[Tiny], GrayLevel[0.7`]]], Rule[FrameTicks, \
List[List[None, None], List[None, None]]], Rule[GridLines, List[None, None]], \
Rule[GridLinesStyle, Directive[GrayLevel[0.5`, 0.4`]]], Rule[ImageSize, \
List[Automatic, Dynamic[Times[3.5`, \
Times[CurrentValue[\\\"FontCapHeight\\\"], \
Power[AbsoluteCurrentValue[Magnification], -1]]]]]], Rule[LabelStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[Method, \
List[Rule[\\\"ScalingFunctions\\\", None]]], Rule[PlotRange, List[List[0.`, \
1.`], List[0.`, 905.09`]]], Rule[PlotRangeClipping, True], \
Rule[PlotRangePadding, 0.05`], Rule[Ticks, List[Automatic, Automatic]]], \
GridBox[List[List[TagBox[TemplateBox[List[RowBox[List[TagBox[\\\"\\\\\\\"Time:\
 \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"0\\\", \\\"SummaryItem\\\"]]], RowBox[List[TagBox[\\\"\\\\\\\" to \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"21\\\", \\\"SummaryItem\\\"]]]], \\\"RowDefault\\\"], \
\\\"SummaryItem\\\"], \\\"\\\\[SpanFromLeft]\\\"], List[RowBox[List[TagBox[\\\
\"\\\\\\\"Data points: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"22\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Paths: \\\\\\\"\\\", \\\"SummaryItemAnnotation\
\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"1\\\", \
\\\"SummaryItem\\\"]]]], List[RowBox[List[TagBox[\\\"\\\\\\\"Regular: \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"True\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Output dimension: \\\\\\\"\\\", \
\\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"1\\\", \\\"SummaryItem\\\"]]]], List[RowBox[List[TagBox[\\\"\\\\\\\
\"Metadata: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"None\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Minimum increment: \\\\\\\"\\\", \
\\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"1\\\", \\\"SummaryItem\\\"]]]], List[TagBox[\\\"\\\\\\\"\\\\\\\"\\\
\", \\\"SummaryItem\\\"], RowBox[List[TagBox[\\\"\\\\\\\"Resampling: \\\\\\\"\
\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\
\"\\\\\\\"HoldValueFromLeft\\\\\\\"\\\", \\\"SummaryItem\\\"]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Columns\\\", List[List[Left]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[AutoDelete, False], \
Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", List[List[Automatic]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[GridBoxSpacings, List[Rule[\
\\\"Columns\\\", List[List[2]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaseStyle, List[Rule[ShowStringCharacters, False], Rule[NumberMarks, \
False], Rule[PrintPrecision, 3], Rule[ShowSyntaxStyles, False]]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Rows\\\", List[List[Top]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaselinePosition, List[1, 1]]]]], Dynamic[Typeset`open$$], \
Rule[ImageSize, Automatic]], Rule[BaselinePosition, Baseline]], \
RuleDelayed[DynamicModuleValues, List[]]], \\\"]\\\"}], \
TemporalData[Automatic, List[List[List[Plus[-1, Times[671.6324999999999`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[739.915`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[757.5424999999999`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[648.1750000000001`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[756.8549999999999`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[788.2325000000002`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[734.6075`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[593.23`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[790.8725000000001`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[821.3424999999999`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[799.1775`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[621.2525`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[600.82`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[697.0424999999999`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[716.76`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[694.2375000000001`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[22, \\\"\\\", \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[701.4975000000001`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[745.9649999999999`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[698.6925`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[653.18`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]], Plus[-1, Times[648.945`, \
Power[Plus[676.3625`, \\\"\\\"], -1]]]]], List[List[0, 21, 1]], 1, \
List[\\\"Discrete\\\", 1], List[\\\"Discrete\\\", 1], 1, \
List[Rule[ValueDimensions, Automatic]]], False, 10.4`], Rule[Selectable, \
False], Rule[Editable, False], Rule[SelectWithContents, True]]\\)\[NoBreak] \
is expected to contain real\[Hyphen]valued states. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/TemporalData\\\", ButtonNote -> \
\\\"TemporalData::ntrlpth\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.673056518112443*^9, 3.6730565873784533`*^9, 
  3.6730566601047955`*^9, 3.673141660549593*^9, 3.6753891025322695`*^9}],

Cell[BoxData["0.4`"], "Output",
 CellChangeTimes->{3.673056518143694*^9, 3.673056587394081*^9, 
  3.673056660121312*^9, 3.673141660565219*^9, 3.6753891025827785`*^9}]
}, Open  ]],

Cell["Peak:", "Text",
 CellChangeTimes->{{3.6731419699817348`*^9, 3.6731419816169477`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"auto", "=", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"ParallelTable", "[", 
        RowBox[{
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"dd", "=", 
             RowBox[{"With", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"data", "=", 
                 RowBox[{"monthlyPeak", "[", 
                  SubscriptBox["months", 
                   RowBox[{"[", 
                    RowBox[{"[", "im", "]"}], "]"}]], "]"}]}], "}"}], ",", 
               RowBox[{
                FractionBox["data", 
                 RowBox[{"Mean", "[", "data", "]"}]], "-", "1"}]}], "]"}]}], 
            "}"}], ",", 
           RowBox[{"AutocorrelationTest", "[", "dd", "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"im", ",", 
           RowBox[{"months", "//", "Length"}]}], "}"}]}], "]"}], ",", 
       "NumberQ"}], "]"}]}], "}"}], ",", 
   RowBox[{"1.0", 
    FractionBox[
     RowBox[{
      RowBox[{"Select", "[", 
       RowBox[{"auto", ",", 
        RowBox[{
         RowBox[{"#", "<", "0.05"}], "&"}]}], "]"}], "//", "Length"}], 
     RowBox[{"auto", "//", "Length"}]]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6730564855319185`*^9, 3.67305651592587*^9}, {
  3.6730565642629895`*^9, 3.673056659137511*^9}, {3.673141985821952*^9, 
  3.673141986337821*^9}, {3.675304351564526*^9, 3.675304353173891*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"TemporalData", "::", "ntrlpth"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The data \
\\!\\(\\*InterpretationBox[RowBox[{TagBox[\\\"TemporalData\\\", \
\\\"SummaryHead\\\"], \\\"[\\\", DynamicModuleBox[{Typeset`open$$ = False}, \
PanelBox[PaneSelectorBox[List[Rule[False, \
GridBox[List[List[PaneBox[ButtonBox[DynamicBox[FEPrivate`FrontEndResource[\\\"\
FEBitmaps\\\", \\\"SquarePlusIconMedium\\\"]], RuleDelayed[ButtonFunction, \
Set[Typeset`open$$, True]], Rule[Appearance, None], Rule[Evaluator, \
Automatic], Rule[Method, \\\"Preemptive\\\"]], Rule[Alignment, List[Center, \
Center]], Rule[ImageSize, Dynamic[List[Automatic, Times[3.5`, CurrentValue[\\\
\"FontCapHeight\\\"], Power[AbsoluteCurrentValue[Magnification], -1]]]]]], \
GraphicsBox[List[List[], List[List[], List[], List[GrayLevel[0.5`], \
PointSize[0.125`], AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, \
685.19`], List[0.03`, 444.6`], List[0.06`, 586.36`], List[0.09`, 554.53`], \
List[0.16`, 275.11`], List[0.21`, 335.34`], List[0.25`, 435.62`], List[0.29`, \
455.76`], List[0.35000000000000003`, 623.99`], List[0.36`, 542.42`], \
List[0.39`, 566.71`], List[0.46`, 451.39`], List[0.49`, 618.6`], List[0.53`, \
624.18`], List[0.6`, 504.73`], List[0.62`, 618.98`], List[0.64`, 524.84`], \
List[0.67`, 608.33`], List[0.74`, 646.92`], List[0.78`, 560.7`], \
List[0.8300000000000001`, 757.84`], List[0.85`, 668.21`], List[0.9`, 821.5`], \
List[0.96`, 905.09`], List[1.`, 875.91`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]], List[GrayLevel[0.65`], PointSize[0.125`], \
AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, 189.49`], \
List[0.02`, 121.43`], List[0.06`, 181.54`], List[0.11`, 168.77`], List[0.17`, \
84.01`], List[0.2`, 87.77`], List[0.25`, 138.8`], List[0.26`, 138.52`], \
List[0.33`, 198.83`], List[0.34`, 188.84`], List[0.35000000000000003`, \
208.5`], List[0.37`, 197.82`], List[0.43`, 266.33`], List[0.46`, 233.34`], \
List[0.49`, 299.59`], List[0.55`, 343.52`], List[0.6`, 317.64`], List[0.66`, \
408.46`], List[0.6900000000000001`, 371.72`], List[0.74`, 601.65`], \
List[0.8200000000000001`, 683.5`], List[0.86`, 519.85`], List[0.9`, 414.55`], \
List[0.96`, 412.33`], List[1.`, 476.75`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]]], List[]], Rule[AspectRatio, 1], Rule[Axes, \
List[False, False]], Rule[AxesLabel, List[None, None]], Rule[AxesOrigin, \
List[0, 0]], Rule[Background, GrayLevel[0.93`]], Rule[BaseStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[DisplayFunction, Identity], \
Rule[Frame, List[List[True, True], List[True, True]]], Rule[FrameLabel, \
List[List[None, None], List[None, None]]], Rule[FrameStyle, \
Directive[Thickness[Tiny], GrayLevel[0.7`]]], Rule[FrameTicks, \
List[List[None, None], List[None, None]]], Rule[GridLines, List[None, None]], \
Rule[GridLinesStyle, Directive[GrayLevel[0.5`, 0.4`]]], Rule[ImageSize, \
List[Automatic, Dynamic[Times[3.5`, \
Times[CurrentValue[\\\"FontCapHeight\\\"], \
Power[AbsoluteCurrentValue[Magnification], -1]]]]]], Rule[LabelStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[Method, \
List[Rule[\\\"ScalingFunctions\\\", None]]], Rule[PlotRange, List[List[0.`, \
1.`], List[0.`, 905.09`]]], Rule[PlotRangeClipping, True], \
Rule[PlotRangePadding, 0.05`], Rule[Ticks, List[Automatic, Automatic]]], \
GridBox[List[List[TagBox[TemplateBox[List[RowBox[List[TagBox[\\\"\\\\\\\"Time:\
 \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"0\\\", \\\"SummaryItem\\\"]]], RowBox[List[TagBox[\\\"\\\\\\\" to \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"21\\\", \\\"SummaryItem\\\"]]]], \\\"RowDefault\\\"], \
\\\"SummaryItem\\\"], \\\"\\\\[SpanFromLeft]\\\"], List[RowBox[List[TagBox[\\\
\"\\\\\\\"Data points: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"22\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Paths: \\\\\\\"\\\", \\\"SummaryItemAnnotation\
\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"1\\\", \
\\\"SummaryItem\\\"]]]]], Rule[GridBoxAlignment, List[Rule[\\\"Columns\\\", \
List[List[Left]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[GridBoxSpacings, List[Rule[\\\"Columns\\\", List[List[2]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[BaseStyle, \
List[Rule[ShowStringCharacters, False], Rule[NumberMarks, False], \
Rule[PrintPrecision, 3], Rule[ShowSyntaxStyles, False]]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Rows\\\", List[List[Top]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaselinePosition, List[1, 1]]]], Rule[True, \
GridBox[List[List[PaneBox[ButtonBox[DynamicBox[FEPrivate`FrontEndResource[\\\"\
FEBitmaps\\\", \\\"SquareMinusIconMedium\\\"]], RuleDelayed[ButtonFunction, \
Set[Typeset`open$$, False]], Rule[Appearance, None], Rule[Evaluator, \
Automatic], Rule[Method, \\\"Preemptive\\\"]], Rule[Alignment, List[Center, \
Center]], Rule[ImageSize, Dynamic[List[Automatic, Times[3.5`, CurrentValue[\\\
\"FontCapHeight\\\"], Power[AbsoluteCurrentValue[Magnification], -1]]]]]], \
GraphicsBox[List[List[], List[List[], List[], List[GrayLevel[0.5`], \
PointSize[0.125`], AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, \
685.19`], List[0.03`, 444.6`], List[0.06`, 586.36`], List[0.09`, 554.53`], \
List[0.16`, 275.11`], List[0.21`, 335.34`], List[0.25`, 435.62`], List[0.29`, \
455.76`], List[0.35000000000000003`, 623.99`], List[0.36`, 542.42`], \
List[0.39`, 566.71`], List[0.46`, 451.39`], List[0.49`, 618.6`], List[0.53`, \
624.18`], List[0.6`, 504.73`], List[0.62`, 618.98`], List[0.64`, 524.84`], \
List[0.67`, 608.33`], List[0.74`, 646.92`], List[0.78`, 560.7`], \
List[0.8300000000000001`, 757.84`], List[0.85`, 668.21`], List[0.9`, 821.5`], \
List[0.96`, 905.09`], List[1.`, 875.91`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]], List[GrayLevel[0.65`], PointSize[0.125`], \
AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, 189.49`], \
List[0.02`, 121.43`], List[0.06`, 181.54`], List[0.11`, 168.77`], List[0.17`, \
84.01`], List[0.2`, 87.77`], List[0.25`, 138.8`], List[0.26`, 138.52`], \
List[0.33`, 198.83`], List[0.34`, 188.84`], List[0.35000000000000003`, \
208.5`], List[0.37`, 197.82`], List[0.43`, 266.33`], List[0.46`, 233.34`], \
List[0.49`, 299.59`], List[0.55`, 343.52`], List[0.6`, 317.64`], List[0.66`, \
408.46`], List[0.6900000000000001`, 371.72`], List[0.74`, 601.65`], \
List[0.8200000000000001`, 683.5`], List[0.86`, 519.85`], List[0.9`, 414.55`], \
List[0.96`, 412.33`], List[1.`, 476.75`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]]], List[]], Rule[AspectRatio, 1], Rule[Axes, \
List[False, False]], Rule[AxesLabel, List[None, None]], Rule[AxesOrigin, \
List[0, 0]], Rule[Background, GrayLevel[0.93`]], Rule[BaseStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[DisplayFunction, Identity], \
Rule[Frame, List[List[True, True], List[True, True]]], Rule[FrameLabel, \
List[List[None, None], List[None, None]]], Rule[FrameStyle, \
Directive[Thickness[Tiny], GrayLevel[0.7`]]], Rule[FrameTicks, \
List[List[None, None], List[None, None]]], Rule[GridLines, List[None, None]], \
Rule[GridLinesStyle, Directive[GrayLevel[0.5`, 0.4`]]], Rule[ImageSize, \
List[Automatic, Dynamic[Times[3.5`, \
Times[CurrentValue[\\\"FontCapHeight\\\"], \
Power[AbsoluteCurrentValue[Magnification], -1]]]]]], Rule[LabelStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[Method, \
List[Rule[\\\"ScalingFunctions\\\", None]]], Rule[PlotRange, List[List[0.`, \
1.`], List[0.`, 905.09`]]], Rule[PlotRangeClipping, True], \
Rule[PlotRangePadding, 0.05`], Rule[Ticks, List[Automatic, Automatic]]], \
GridBox[List[List[TagBox[TemplateBox[List[RowBox[List[TagBox[\\\"\\\\\\\"Time:\
 \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"0\\\", \\\"SummaryItem\\\"]]], RowBox[List[TagBox[\\\"\\\\\\\" to \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"21\\\", \\\"SummaryItem\\\"]]]], \\\"RowDefault\\\"], \
\\\"SummaryItem\\\"], \\\"\\\\[SpanFromLeft]\\\"], List[RowBox[List[TagBox[\\\
\"\\\\\\\"Data points: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"22\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Paths: \\\\\\\"\\\", \\\"SummaryItemAnnotation\
\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"1\\\", \
\\\"SummaryItem\\\"]]]], List[RowBox[List[TagBox[\\\"\\\\\\\"Regular: \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"True\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Output dimension: \\\\\\\"\\\", \
\\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"1\\\", \\\"SummaryItem\\\"]]]], List[RowBox[List[TagBox[\\\"\\\\\\\
\"Metadata: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"None\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Minimum increment: \\\\\\\"\\\", \
\\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"1\\\", \\\"SummaryItem\\\"]]]], List[TagBox[\\\"\\\\\\\"\\\\\\\"\\\
\", \\\"SummaryItem\\\"], RowBox[List[TagBox[\\\"\\\\\\\"Resampling: \\\\\\\"\
\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\
\"\\\\\\\"HoldValueFromLeft\\\\\\\"\\\", \\\"SummaryItem\\\"]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Columns\\\", List[List[Left]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[AutoDelete, False], \
Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", List[List[Automatic]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[GridBoxSpacings, List[Rule[\
\\\"Columns\\\", List[List[2]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaseStyle, List[Rule[ShowStringCharacters, False], Rule[NumberMarks, \
False], Rule[PrintPrecision, 3], Rule[ShowSyntaxStyles, False]]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Rows\\\", List[List[Top]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaselinePosition, List[1, 1]]]]], Dynamic[Typeset`open$$], \
Rule[ImageSize, Automatic]], Rule[BaselinePosition, Baseline]], \
RuleDelayed[DynamicModuleValues, List[]]], \\\"]\\\"}], \
TemporalData[Automatic, List[List[List[Plus[-1, Times[937.9837500000001`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1098.74875`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1037.52`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[908.6687499999998`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[971.135`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1076.24`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[975.74125`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[909.6312499999999`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1227.00875`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1003.3237500000002`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1124.79125`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[818.6337499999998`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[891.5775000000001`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[965.70375`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1072.1425`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1199.6187499999999`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[22, \\\"\\\", \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1256.37875`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1270.17`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1181.565`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[857.07875`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[818.8125`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]]]], List[List[0, 21, 1]], 1, \
List[\\\"Discrete\\\", 1], List[\\\"Discrete\\\", 1], 1, \
List[Rule[ValueDimensions, Automatic]]], False, 10.4`], Rule[Selectable, \
False], Rule[Editable, False], Rule[SelectWithContents, True]]\\) is expected \
to contain real\[Hyphen]valued states.\"\>"}]], "Message", "MSG",
 ShowCellLabel->True,
 CellChangeTimes->{3.6753891128102884`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"TemporalData", "::", "ntrlpth"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The data \
\[NoBreak]\\!\\(\\*InterpretationBox[RowBox[{TagBox[\\\"TemporalData\\\", \
\\\"SummaryHead\\\"], \\\"[\\\", DynamicModuleBox[{Typeset`open$$ = False}, \
PanelBox[PaneSelectorBox[List[Rule[False, \
GridBox[List[List[PaneBox[ButtonBox[DynamicBox[FEPrivate`FrontEndResource[\\\"\
FEBitmaps\\\", \\\"SquarePlusIconMedium\\\"]], RuleDelayed[ButtonFunction, \
Set[Typeset`open$$, True]], Rule[Appearance, None], Rule[Evaluator, \
Automatic], Rule[Method, \\\"Preemptive\\\"]], Rule[Alignment, List[Center, \
Center]], Rule[ImageSize, Dynamic[List[Automatic, Times[3.5`, CurrentValue[\\\
\"FontCapHeight\\\"], Power[AbsoluteCurrentValue[Magnification], -1]]]]]], \
GraphicsBox[List[List[], List[List[], List[], List[GrayLevel[0.5`], \
PointSize[0.125`], AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, \
685.19`], List[0.03`, 444.6`], List[0.06`, 586.36`], List[0.09`, 554.53`], \
List[0.16`, 275.11`], List[0.21`, 335.34`], List[0.25`, 435.62`], List[0.29`, \
455.76`], List[0.35000000000000003`, 623.99`], List[0.36`, 542.42`], \
List[0.39`, 566.71`], List[0.46`, 451.39`], List[0.49`, 618.6`], List[0.53`, \
624.18`], List[0.6`, 504.73`], List[0.62`, 618.98`], List[0.64`, 524.84`], \
List[0.67`, 608.33`], List[0.74`, 646.92`], List[0.78`, 560.7`], \
List[0.8300000000000001`, 757.84`], List[0.85`, 668.21`], List[0.9`, 821.5`], \
List[0.96`, 905.09`], List[1.`, 875.91`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]], List[GrayLevel[0.65`], PointSize[0.125`], \
AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, 189.49`], \
List[0.02`, 121.43`], List[0.06`, 181.54`], List[0.11`, 168.77`], List[0.17`, \
84.01`], List[0.2`, 87.77`], List[0.25`, 138.8`], List[0.26`, 138.52`], \
List[0.33`, 198.83`], List[0.34`, 188.84`], List[0.35000000000000003`, \
208.5`], List[0.37`, 197.82`], List[0.43`, 266.33`], List[0.46`, 233.34`], \
List[0.49`, 299.59`], List[0.55`, 343.52`], List[0.6`, 317.64`], List[0.66`, \
408.46`], List[0.6900000000000001`, 371.72`], List[0.74`, 601.65`], \
List[0.8200000000000001`, 683.5`], List[0.86`, 519.85`], List[0.9`, 414.55`], \
List[0.96`, 412.33`], List[1.`, 476.75`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]]], List[]], Rule[AspectRatio, 1], Rule[Axes, \
List[False, False]], Rule[AxesLabel, List[None, None]], Rule[AxesOrigin, \
List[0, 0]], Rule[Background, GrayLevel[0.93`]], Rule[BaseStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[DisplayFunction, Identity], \
Rule[Frame, List[List[True, True], List[True, True]]], Rule[FrameLabel, \
List[List[None, None], List[None, None]]], Rule[FrameStyle, \
Directive[Thickness[Tiny], GrayLevel[0.7`]]], Rule[FrameTicks, \
List[List[None, None], List[None, None]]], Rule[GridLines, List[None, None]], \
Rule[GridLinesStyle, Directive[GrayLevel[0.5`, 0.4`]]], Rule[ImageSize, \
List[Automatic, Dynamic[Times[3.5`, \
Times[CurrentValue[\\\"FontCapHeight\\\"], \
Power[AbsoluteCurrentValue[Magnification], -1]]]]]], Rule[LabelStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[Method, \
List[Rule[\\\"ScalingFunctions\\\", None]]], Rule[PlotRange, List[List[0.`, \
1.`], List[0.`, 905.09`]]], Rule[PlotRangeClipping, True], \
Rule[PlotRangePadding, 0.05`], Rule[Ticks, List[Automatic, Automatic]]], \
GridBox[List[List[TagBox[TemplateBox[List[RowBox[List[TagBox[\\\"\\\\\\\"Time:\
 \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"0\\\", \\\"SummaryItem\\\"]]], RowBox[List[TagBox[\\\"\\\\\\\" to \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"21\\\", \\\"SummaryItem\\\"]]]], \\\"RowDefault\\\"], \
\\\"SummaryItem\\\"], \\\"\\\\[SpanFromLeft]\\\"], List[RowBox[List[TagBox[\\\
\"\\\\\\\"Data points: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"22\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Paths: \\\\\\\"\\\", \\\"SummaryItemAnnotation\
\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"1\\\", \
\\\"SummaryItem\\\"]]]]], Rule[GridBoxAlignment, List[Rule[\\\"Columns\\\", \
List[List[Left]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[GridBoxSpacings, List[Rule[\\\"Columns\\\", List[List[2]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[BaseStyle, \
List[Rule[ShowStringCharacters, False], Rule[NumberMarks, False], \
Rule[PrintPrecision, 3], Rule[ShowSyntaxStyles, False]]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Rows\\\", List[List[Top]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaselinePosition, List[1, 1]]]], Rule[True, \
GridBox[List[List[PaneBox[ButtonBox[DynamicBox[FEPrivate`FrontEndResource[\\\"\
FEBitmaps\\\", \\\"SquareMinusIconMedium\\\"]], RuleDelayed[ButtonFunction, \
Set[Typeset`open$$, False]], Rule[Appearance, None], Rule[Evaluator, \
Automatic], Rule[Method, \\\"Preemptive\\\"]], Rule[Alignment, List[Center, \
Center]], Rule[ImageSize, Dynamic[List[Automatic, Times[3.5`, CurrentValue[\\\
\"FontCapHeight\\\"], Power[AbsoluteCurrentValue[Magnification], -1]]]]]], \
GraphicsBox[List[List[], List[List[], List[], List[GrayLevel[0.5`], \
PointSize[0.125`], AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, \
685.19`], List[0.03`, 444.6`], List[0.06`, 586.36`], List[0.09`, 554.53`], \
List[0.16`, 275.11`], List[0.21`, 335.34`], List[0.25`, 435.62`], List[0.29`, \
455.76`], List[0.35000000000000003`, 623.99`], List[0.36`, 542.42`], \
List[0.39`, 566.71`], List[0.46`, 451.39`], List[0.49`, 618.6`], List[0.53`, \
624.18`], List[0.6`, 504.73`], List[0.62`, 618.98`], List[0.64`, 524.84`], \
List[0.67`, 608.33`], List[0.74`, 646.92`], List[0.78`, 560.7`], \
List[0.8300000000000001`, 757.84`], List[0.85`, 668.21`], List[0.9`, 821.5`], \
List[0.96`, 905.09`], List[1.`, 875.91`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]], List[GrayLevel[0.65`], PointSize[0.125`], \
AbsoluteThickness[1.5`], StyleBox[LineBox[List[List[0.`, 189.49`], \
List[0.02`, 121.43`], List[0.06`, 181.54`], List[0.11`, 168.77`], List[0.17`, \
84.01`], List[0.2`, 87.77`], List[0.25`, 138.8`], List[0.26`, 138.52`], \
List[0.33`, 198.83`], List[0.34`, 188.84`], List[0.35000000000000003`, \
208.5`], List[0.37`, 197.82`], List[0.43`, 266.33`], List[0.46`, 233.34`], \
List[0.49`, 299.59`], List[0.55`, 343.52`], List[0.6`, 317.64`], List[0.66`, \
408.46`], List[0.6900000000000001`, 371.72`], List[0.74`, 601.65`], \
List[0.8200000000000001`, 683.5`], List[0.86`, 519.85`], List[0.9`, 414.55`], \
List[0.96`, 412.33`], List[1.`, 476.75`]]], Rule[FontFamily, \\\"Arial\\\"], \
Rule[StripOnInput, False]]]], List[]], Rule[AspectRatio, 1], Rule[Axes, \
List[False, False]], Rule[AxesLabel, List[None, None]], Rule[AxesOrigin, \
List[0, 0]], Rule[Background, GrayLevel[0.93`]], Rule[BaseStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[DisplayFunction, Identity], \
Rule[Frame, List[List[True, True], List[True, True]]], Rule[FrameLabel, \
List[List[None, None], List[None, None]]], Rule[FrameStyle, \
Directive[Thickness[Tiny], GrayLevel[0.7`]]], Rule[FrameTicks, \
List[List[None, None], List[None, None]]], Rule[GridLines, List[None, None]], \
Rule[GridLinesStyle, Directive[GrayLevel[0.5`, 0.4`]]], Rule[ImageSize, \
List[Automatic, Dynamic[Times[3.5`, \
Times[CurrentValue[\\\"FontCapHeight\\\"], \
Power[AbsoluteCurrentValue[Magnification], -1]]]]]], Rule[LabelStyle, \
List[Rule[FontFamily, \\\"Arial\\\"]]], Rule[Method, \
List[Rule[\\\"ScalingFunctions\\\", None]]], Rule[PlotRange, List[List[0.`, \
1.`], List[0.`, 905.09`]]], Rule[PlotRangeClipping, True], \
Rule[PlotRangePadding, 0.05`], Rule[Ticks, List[Automatic, Automatic]]], \
GridBox[List[List[TagBox[TemplateBox[List[RowBox[List[TagBox[\\\"\\\\\\\"Time:\
 \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"0\\\", \\\"SummaryItem\\\"]]], RowBox[List[TagBox[\\\"\\\\\\\" to \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"21\\\", \\\"SummaryItem\\\"]]]], \\\"RowDefault\\\"], \
\\\"SummaryItem\\\"], \\\"\\\\[SpanFromLeft]\\\"], List[RowBox[List[TagBox[\\\
\"\\\\\\\"Data points: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"22\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Paths: \\\\\\\"\\\", \\\"SummaryItemAnnotation\
\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"1\\\", \
\\\"SummaryItem\\\"]]]], List[RowBox[List[TagBox[\\\"\\\\\\\"Regular: \
\\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"True\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Output dimension: \\\\\\\"\\\", \
\\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"1\\\", \\\"SummaryItem\\\"]]]], List[RowBox[List[TagBox[\\\"\\\\\\\
\"Metadata: \\\\\\\"\\\", \\\"SummaryItemAnnotation\\\"], \
\\\"\\\\[InvisibleSpace]\\\", TagBox[\\\"None\\\", \\\"SummaryItem\\\"]]], \
RowBox[List[TagBox[\\\"\\\\\\\"Minimum increment: \\\\\\\"\\\", \
\\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", \
TagBox[\\\"1\\\", \\\"SummaryItem\\\"]]]], List[TagBox[\\\"\\\\\\\"\\\\\\\"\\\
\", \\\"SummaryItem\\\"], RowBox[List[TagBox[\\\"\\\\\\\"Resampling: \\\\\\\"\
\\\", \\\"SummaryItemAnnotation\\\"], \\\"\\\\[InvisibleSpace]\\\", TagBox[\\\
\"\\\\\\\"HoldValueFromLeft\\\\\\\"\\\", \\\"SummaryItem\\\"]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Columns\\\", List[List[Left]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[AutoDelete, False], \
Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", List[List[Automatic]]], \
Rule[\\\"Rows\\\", List[List[Automatic]]]]], Rule[GridBoxSpacings, List[Rule[\
\\\"Columns\\\", List[List[2]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaseStyle, List[Rule[ShowStringCharacters, False], Rule[NumberMarks, \
False], Rule[PrintPrecision, 3], Rule[ShowSyntaxStyles, False]]]]]], \
Rule[GridBoxAlignment, List[Rule[\\\"Rows\\\", List[List[Top]]]]], \
Rule[AutoDelete, False], Rule[GridBoxItemSize, List[Rule[\\\"Columns\\\", \
List[List[Automatic]]], Rule[\\\"Rows\\\", List[List[Automatic]]]]], \
Rule[BaselinePosition, List[1, 1]]]]], Dynamic[Typeset`open$$], \
Rule[ImageSize, Automatic]], Rule[BaselinePosition, Baseline]], \
RuleDelayed[DynamicModuleValues, List[]]], \\\"]\\\"}], \
TemporalData[Automatic, List[List[List[Plus[-1, Times[937.9837500000001`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1098.74875`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1037.52`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[908.6687499999998`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[971.135`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1076.24`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[975.74125`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[909.6312499999999`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1227.00875`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1003.3237500000002`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1124.79125`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[818.6337499999998`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[891.5775000000001`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[965.70375`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1072.1425`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1199.6187499999999`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[22, \\\"\\\", \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1256.37875`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1270.17`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[1181.565`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[857.07875`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]], Plus[-1, Times[818.8125`, \
Power[Plus[981.930625`, \\\"\\\"], -1]]]]], List[List[0, 21, 1]], 1, \
List[\\\"Discrete\\\", 1], List[\\\"Discrete\\\", 1], 1, \
List[Rule[ValueDimensions, Automatic]]], False, 10.4`], Rule[Selectable, \
False], Rule[Editable, False], Rule[SelectWithContents, True]]\\)\[NoBreak] \
is expected to contain real\[Hyphen]valued states. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/TemporalData\\\", ButtonNote -> \
\\\"TemporalData::ntrlpth\\\"]\\)\"\>"}]], "Message", "MSG",
 ShowCellLabel->True,
 CellChangeTimes->{3.6753043622565165`*^9, 3.675389112991993*^9}],

Cell[BoxData["0.3333333333333333`"], "Output",
 CellChangeTimes->{3.673056518143694*^9, 3.673056587394081*^9, 
  3.673056660121312*^9, 3.673141660565219*^9, 3.6731419905728426`*^9, 
  3.675304227438692*^9, 3.675304362459638*^9, 3.6753891129990573`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Model Autocorrelation", "Subsection",
 CellChangeTimes->{{3.673142006657897*^9, 3.6731420106001406`*^9}}],

Cell[CellGroupData[{

Cell["Independent Lognormals", "Subsubsection",
 CellChangeTimes->{{3.6731420198683767`*^9, 3.673142026666467*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"data", "=", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "0.5"}], " ", 
          SuperscriptBox["0.3", "2"]}], "+", 
         RowBox[{"RandomVariate", "[", 
          RowBox[{
           RowBox[{"NormalDistribution", "[", 
            RowBox[{"0", ",", "0.3"}], "]"}], ",", "25"}], "]"}]}], "]"}]}], 
      "}"}], ",", 
     RowBox[{"data", "-", 
      RowBox[{"Mean", "[", "data", "]"}]}]}], "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6730547233477497`*^9, 3.673054790177004*^9}, {
   3.6730551525420876`*^9, 3.6730551929448414`*^9}, {3.6730552320744133`*^9, 
   3.673055249152102*^9}, 3.673055443772873*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQBGIQDQEf7Bc4BTid1j28HyrgsOC44Cq+JVvsIVwOh46b
pysXdGyFygs4iORZ/9vKch3KF3FgkLdfosV4F8qXcJizNt0sVfc8lC/j8CC2
zX7Dr11Q8xQcVLbFLeN6dQPKV3JQOPwkkktsDZSv4sBw4UDyzz1+UP1qDgzh
duVvwy9A5TUcDN4xquaKn4TKazmYVTVJ5E25COXrOFjMTg1ZaHwcytdzKDBd
r6UldQSq38DhwEqHnSY/p0D5hg5bTJkOT91/Eco3cjggYVDLzXQFyjd2YMgX
TvLuhNlv4qBge6/Nr3onlG/qcOEeS2v/vN1QvplDjgfbng28F6D2mzucYFjH
yRm7A8q3cEiInle6Tuk6VL2lw4WFJxdVFJ3YDwA/Lmvt
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 25.}, {-0.4531962017031077, 0.3892847656923968}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.6730547738420906`*^9, 3.673054803810747*^9}, {
   3.673055195053157*^9, 3.673055213164163*^9}, {3.6730552496833572`*^9, 
   3.673055275019376*^9}, {3.673055444663539*^9, 3.6730554610308332`*^9}, 
   3.67538911860093*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"data", "=", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "0.5"}], " ", 
               SuperscriptBox["0.3", "2"]}], "+", 
              RowBox[{"RandomVariate", "[", 
               RowBox[{
                RowBox[{"NormalDistribution", "[", 
                 RowBox[{"0", ",", "0.3"}], "]"}], ",", "25"}], "]"}]}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"AutocorrelationTest", "[", 
           RowBox[{"data", "-", 
            RowBox[{"Mean", "[", "data", "]"}]}], "]"}]}], "]"}], ",", 
        RowBox[{"{", "1000", "}"}]}], "]"}], ",", 
      RowBox[{
       RowBox[{"#", "<", "0.05"}], "&"}]}], "]"}], "//", "Length"}], ")"}], 
  "0.001"}]], "Input",
 CellChangeTimes->{{3.6730562516897173`*^9, 3.673056359671717*^9}, 
   3.673056400794937*^9, {3.675304375938366*^9, 3.6753043777664833`*^9}, 
   3.6753186987961273`*^9, {3.675319207019137*^9, 3.675319209922065*^9}}],

Cell[BoxData["0.053`"], "Output",
 CellChangeTimes->{{3.6730562532053185`*^9, 3.673056287925663*^9}, {
   3.673056347361876*^9, 3.6730563632780857`*^9}, 3.673056406704246*^9, 
   3.675304329990172*^9, 3.6753043813740616`*^9, {3.6753187031242685`*^9, 
   3.6753187123619747`*^9}, 3.675319211265814*^9, 3.675389124721796*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["GBM", "Subsubsection",
 CellChangeTimes->{{3.6731420456767626`*^9, 3.6731420468585463`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "=", "0.7"}], ";", 
  RowBox[{"dt", "=", 
   RowBox[{"1", "/", "365.25"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6730548668103547`*^9, 3.6730548936896276`*^9}, {
  3.6730550051993985`*^9, 3.6730550175711794`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"data", "=", 
            RowBox[{"FoldList", "[", 
             RowBox[{"Times", ",", 
              RowBox[{"Exp", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "0.5"}], 
                 SuperscriptBox["ss", "2"], "dt"}], "+", 
                RowBox[{"ss", 
                 SqrtBox["dt"], 
                 RowBox[{"RandomVariate", "[", 
                  RowBox[{
                   RowBox[{"NormalDistribution", "[", 
                    RowBox[{"0", ",", "1"}], "]"}], ",", "25"}], "]"}]}]}], 
               "]"}]}], "]"}]}], "}"}], ",", 
          RowBox[{"AutocorrelationTest", "[", 
           RowBox[{"data", "-", 
            RowBox[{"Mean", "[", "data", "]"}]}], "]"}]}], "]"}], ",", 
        RowBox[{"{", "1000", "}"}]}], "]"}], ",", 
      RowBox[{
       RowBox[{"#", "<", "0.05"}], "&"}]}], "]"}], "//", "Length"}], ")"}], 
  "0.001"}]], "Input",
 CellChangeTimes->{{3.6730562516897173`*^9, 3.673056359671717*^9}, {
   3.6753043866437917`*^9, 3.675304388518771*^9}, 3.6753187240769854`*^9, {
   3.6753192171564403`*^9, 3.6753192197814503`*^9}}],

Cell[BoxData["0.9430000000000001`"], "Output",
 CellChangeTimes->{{3.6730562532053185`*^9, 3.673056287925663*^9}, {
   3.673056347361876*^9, 3.6730563632780857`*^9}, 3.6753043913781457`*^9, 
   3.6753187288153095`*^9, 3.6753192208595614`*^9, 3.6753891309733105`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"data", "=", 
     RowBox[{"FoldList", "[", 
      RowBox[{"Times", ",", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "0.5"}], 
          SuperscriptBox["ss", "2"], "dt"}], "+", 
         RowBox[{"ss", 
          SqrtBox["dt"], 
          RowBox[{"RandomVariate", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "1"}], "]"}], ",", "25"}], "]"}]}]}], "]"}]}], 
      "]"}]}], "}"}], ",", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"data", "-", 
      RowBox[{"Mean", "[", "data", "]"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"AutocorrelationTest", "[", 
       RowBox[{"data", "-", 
        RowBox[{"Mean", "[", "data", "]"}]}], "]"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6730548333103085`*^9, 3.673054914867926*^9}, {
  3.6730549643930874`*^9, 3.6730550915975566`*^9}, {3.6730560734390383`*^9, 
  3.6730560993054075`*^9}, {3.6730561411558156`*^9, 3.673056179359456*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQBGIQDQEf7EMKBRsrDhy0hwo4bKjyiJi1ZQ+Uz+GQIHjo
XfK0NVC+gINAusn9K8u3QfkiDg2nfF9+Pz8TypdwcKhZtDRg6bT9EL6Mg0M1
64PYrl4oX8HhQXxo2yWDWVC+ksMHox9TRO4tgvJVHBjiNzxKWL0AyldzUBDe
EpMpswrK13DYsOao6Jrjq6F8LQeGbb3tD2TWQPk6DgGfJEX1kxdD+XoOC35w
e9+fMhXKN3Bo8NF+8jKqDso3dDiw9tG/XftWQvlGDgdS4xMe/ZsE5Rs7NExv
tSm4Vw7lmzg4FLjYL+GdDfWvqUPDvL4yu85SqLyZwwJfox3vOCdC+eYOB4ps
9k02aIWqt3BoYNbpDbUuhvItHRpefvlxcFLtfgDDmXbg
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotLabel->FormBox["0.000050609016184665685`", TraditionalForm],
  PlotRange->{{0., 25.}, {-0.054907814547600964`, 0.13868624021678022`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.6730561806269207`*^9, 3.6730561999990034`*^9}, 
   3.6753891339679904`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ARProcess", "Subsubsection",
 CellChangeTimes->{{3.6731421920331044`*^9, 3.6731421939719024`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{"1", "-", "0.33"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.673142572227501*^9, 3.67314257425208*^9}, {
  3.6731427703203287`*^9, 3.6731427705391293`*^9}, {3.673143041428109*^9, 
  3.6731430420575185`*^9}, {3.675319238394265*^9, 3.67531929651178*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rd", "=", 
  RowBox[{"RandomFunction", "[", 
   RowBox[{
    RowBox[{"ARProcess", "[", 
     RowBox[{
      RowBox[{"{", "r1", "}"}], ",", "ss"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "25"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.673142234216798*^9, 3.673142295283445*^9}, {
  3.673142331144699*^9, 3.6731423514772053`*^9}, {3.673142427885042*^9, 
  3.673142580785716*^9}, {3.6731427053986645`*^9, 3.6731427055861998`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["TemporalData",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False}, 
    PanelBox[
     PaneSelectorBox[{False->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquarePlusIconMedium"],
            ImageSizeCache->{12., {0., 12.}}],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = True),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[{{}, GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGBQB2IQDQEf7COur/ioK/18P1TA4UR0QvO5iM/2EC6Hg0vG
Qo8VZ+9C+QIOChL5ZvGHDkDVizgwb+BPjjV+AeVLOLhta5n45yVMvYwDo7yr
Ov9nJgcIX8Fh07qTbRWvv0LllRz+bL3+T8j2EpSv4nD31HKj/BcfoHw1hxMq
CRornkyF8jUcam4UfHZxega1T8vhRzbDPh25Q/Yw/zCgAgdULgcaXwCNL4LG
l0Djy6DxFdD4Smh8FTS+GhpfA42vhcYfPvEDALRSfq4=
            "], {{{}, {}, {}, 
              {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.5], 
               LineBox[{14, 1}], LineBox[{17, 4}], LineBox[{18, 5}], 
               LineBox[{25, 12}]}, 
              {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.5], 
               LineBox[{15, 2}], LineBox[{16, 3}], LineBox[{19, 6}], 
               LineBox[{20, 7}], LineBox[{21, 8}], LineBox[{22, 9}], 
               LineBox[{23, 10}], LineBox[{24, 11}], LineBox[{26, 13}]}}, {{}, 
              {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[1.5],
                AbsoluteThickness[1.6], 
               PointBox[{27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 
                39}]}, {}}}], {}},
          AspectRatio->1,
          Axes->{False, False},
          AxesLabel->{None, None},
          AxesOrigin->{0., 0},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{None, None}, {None, None}},
          FrameStyle->Directive[
            Opacity[0.5], 
            Thickness[Tiny], 
            RGBColor[0.368417, 0.506779, 0.709798]],
          FrameTicks->{{None, None}, {None, None}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
                 Part[#, 1]], 
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
                 Part[#, 1]], 
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{{0, 13.}, {-0.7562701163092246, 2.3686812465638245`}},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.15], 
             Scaled[0.15]}, {
             Scaled[0.1], 
             Scaled[0.15]}},
          Ticks->{Automatic, Automatic}], GridBox[{
           {
            TagBox[
             TemplateBox[{RowBox[{
                 TagBox["\"Time: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}],RowBox[{
                 TagBox["\" to \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["25", "SummaryItem"]}]},
              "RowDefault"],
             "SummaryItem"], "\[SpanFromLeft]"},
           {
            RowBox[{
             TagBox["\<\"Data points: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["26",
              "SummaryItem"]}], 
            RowBox[{
             TagBox["\<\"Paths: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["1",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], True->GridBox[{
        {
         PaneBox[
          ButtonBox[
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "SquareMinusIconMedium"]],
           Appearance->None,
           ButtonFunction:>(Typeset`open$$ = False),
           Evaluator->Automatic,
           Method->"Preemptive"],
          Alignment->{Center, Center},
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}]], 
         GraphicsBox[{{}, GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGBQB2IQDQEf7COur/ioK/18P1TA4UR0QvO5iM/2EC6Hg0vG
Qo8VZ+9C+QIOChL5ZvGHDkDVizgwb+BPjjV+AeVLOLhta5n45yVMvYwDo7yr
Ov9nJgcIX8Fh07qTbRWvv0LllRz+bL3+T8j2EpSv4nD31HKj/BcfoHw1hxMq
CRornkyF8jUcam4UfHZxega1T8vhRzbDPh25Q/Yw/zCgAgdULgcaXwCNL4LG
l0Djy6DxFdD4Smh8FTS+GhpfA42vhcYfPvEDALRSfq4=
            "], {{{}, {}, {}, 
              {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.5], 
               LineBox[{14, 1}], LineBox[{17, 4}], LineBox[{18, 5}], 
               LineBox[{25, 12}]}, 
              {RGBColor[0.368417, 0.506779, 0.709798], Opacity[0.5], 
               LineBox[{15, 2}], LineBox[{16, 3}], LineBox[{19, 6}], 
               LineBox[{20, 7}], LineBox[{21, 8}], LineBox[{22, 9}], 
               LineBox[{23, 10}], LineBox[{24, 11}], LineBox[{26, 13}]}}, {{}, 
              {RGBColor[0.368417, 0.506779, 0.709798], AbsolutePointSize[1.5],
                AbsoluteThickness[1.6], 
               PointBox[{27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 
                39}]}, {}}}], {}},
          AspectRatio->1,
          Axes->{False, False},
          AxesLabel->{None, None},
          AxesOrigin->{0., 0},
          DisplayFunction->Identity,
          Frame->{{True, True}, {True, True}},
          FrameLabel->{{None, None}, {None, None}},
          FrameStyle->Directive[
            Opacity[0.5], 
            Thickness[Tiny], 
            RGBColor[0.368417, 0.506779, 0.709798]],
          FrameTicks->{{None, None}, {None, None}},
          GridLines->{None, None},
          GridLinesStyle->Directive[
            GrayLevel[0.5, 0.4]],
          ImagePadding->All,
          
          ImageSize->
           Dynamic[{
            Automatic, 3.5 CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
             Magnification]}],
          Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
                 Part[#, 1]], 
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
                 Part[#, 2]]}& ), "CopiedValueFunction" -> ({
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
                 Part[#, 1]], 
                (
                Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
                 Part[#, 2]]}& )}},
          PlotRange->{{0, 13.}, {-0.7562701163092246, 2.3686812465638245`}},
          PlotRangeClipping->True,
          PlotRangePadding->{{
             Scaled[0.15], 
             Scaled[0.15]}, {
             Scaled[0.1], 
             Scaled[0.15]}},
          Ticks->{Automatic, Automatic}], GridBox[{
           {
            TagBox[
             TemplateBox[{RowBox[{
                 TagBox["\"Time: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}],RowBox[{
                 TagBox["\" to \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["25", "SummaryItem"]}]},
              "RowDefault"],
             "SummaryItem"], "\[SpanFromLeft]"},
           {
            RowBox[{
             TagBox["\<\"Data points: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["26",
              "SummaryItem"]}], 
            RowBox[{
             TagBox["\<\"Paths: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["1",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Regular: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["True",
              "SummaryItem"]}], 
            RowBox[{
             TagBox["\<\"Output dimension: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["1",
              "SummaryItem"]}]},
           {
            RowBox[{
             TagBox["\<\"Metadata: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["None",
              "SummaryItem"]}], 
            RowBox[{
             TagBox["\<\"Minimum increment: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["1",
              "SummaryItem"]}]},
           {
            TagBox["\<\"\"\>",
             "SummaryItem"], 
            RowBox[{
             TagBox["\<\"Resampling: \"\>",
              "SummaryItemAnnotation"], "\[InvisibleSpace]", 
             TagBox["None",
              "SummaryItem"]}]}
          },
          AutoDelete->False,
          
          BaseStyle->{
           ShowStringCharacters -> False, NumberMarks -> False, 
            PrintPrecision -> 3, ShowSyntaxStyles -> False},
          GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{Automatic}}}]}
       },
       AutoDelete->False,
       BaselinePosition->{1, 1},
       GridBoxAlignment->{"Rows" -> {{Top}}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]}, Dynamic[
      Typeset`open$$],
      ImageSize->Automatic],
     BaselinePosition->Baseline],
    DynamicModuleValues:>{}], "]"}],
  TemporalData[
  Automatic, {{{-0.7220678062355814, 0.15905397297228607`, 
    1.2091813213244098`, 1.7105597944615, 0.4656773289949607, 
    1.0112684805578482`, -0.13093176038654608`, -0.5020804468904299, \
-0.7562701163092246, -0.686248149046171, 0.4674064084127604, 
    2.1761105878402485`, 2.3686812465638245`, 0.8723190130096956, 
    1.369987989916734, -0.9364850736529343, 0.2849776734063594, 
    0.36838255364837014`, 1.0567466715553373`, 0.3808339838683736, 
    0.021380069221810044`, 
    0.03681405063145615, -0.6955895189955892, -1.7505354379835074`, 
    0.141545861028902, -0.4166190191941637}}, {{0, 25, 1}}, 1, {
    "Continuous", 1}, {"Discrete", 1}, 1, {
    ValueDimensions -> 1, ResamplingMethod -> None}}, False, 10.4],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.673142296768118*^9, {3.6731423321447124`*^9, 3.6731423519459376`*^9}, {
   3.673142432403001*^9, 3.6731425815044613`*^9}, 3.6753044125108657`*^9, {
   3.675319241816163*^9, 3.6753192990038958`*^9}, 3.675389141572835*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", "rd", "]"}]], "Input",
 NumberMarks->False],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.019444444444444445`],
      AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQAmIQDQMR11d81JV+vh/C+2B/pF4672H0EXuotMOJ6ITm
cxGfoXwOhy0chZ+K435D+QIOLhkLPVacvQvlizj0dm+/ra73AcqXcFCQyDeL
P3QAar6Mw4f4bGZuwQdQvoID8wb+5FjjF1C+ksNOhsVr9319CuWrOLhta5n4
5yXMfDWHfrZfq9ZkMDpA+BoOjPKu6vyfmaB8LYcLxwUncL56DVWv47Bp3cm2
itdfoXw9B1Gmid3rv7+Fmm/g8Gfr9X9Ctpeg8oYO+3pEs6dMvg7lGzncPbXc
KP8FzD/GDsaPqhqmxt+A8k0cTqgkaKx4MhXKN3UQWPK3z+vmIijfzKHmRsFn
F6dnUPvMHWR4u4oMmf5A+RYOP7IZ9unIHYKqt3RIVZ968dHKW/sBxUR5FQ==

      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 25.}, {-1.7505354379835074`, 2.3686812465638245`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.6731424693445187`*^9, 3.67314258288153*^9}, {
   3.675319243191141*^9, 3.675319300207008*^9}, 3.6753891447269964`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"data", "=", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "0.5"}], 
               SuperscriptBox["ss", "2"]}], "+", 
              RowBox[{
               RowBox[{"RandomFunction", "[", 
                RowBox[{
                 RowBox[{"ARProcess", "[", 
                  RowBox[{
                   RowBox[{"{", "r1", "}"}], ",", "ss"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "25"}], "}"}]}], "]"}], "[", 
               "\"\<Values\>\"", "]"}]}], "]"}]}], "}"}], ",", 
          RowBox[{"AutocorrelationTest", "[", 
           RowBox[{"data", "-", 
            RowBox[{"Mean", "[", "data", "]"}]}], "]"}]}], "]"}], ",", 
        RowBox[{"{", "1000", "}"}]}], "]"}], ",", 
      RowBox[{
       RowBox[{"#", "<", "0.05"}], "&"}]}], "]"}], "//", "Length"}], ")"}], 
  "0.001"}]], "Input",
 CellChangeTimes->{{3.6730562516897173`*^9, 3.673056359671717*^9}, {
  3.6731427194165473`*^9, 3.673142755049608*^9}, {3.673142988487173*^9, 
  3.6731430236422005`*^9}, {3.6753044008290553`*^9, 3.6753044040478086`*^9}}],

Cell[BoxData["0.387`"], "Output",
 CellChangeTimes->{{3.6730562532053185`*^9, 3.673056287925663*^9}, {
   3.673056347361876*^9, 3.6730563632780857`*^9}, {3.6731427334404974`*^9, 
   3.6731427894535475`*^9}, {3.673143038236639*^9, 3.673143050824439*^9}, 
   3.6753044179527836`*^9, {3.6753192562215185`*^9, 3.675319310332007*^9}, 
   3.675389149277302*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{958, 741},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.4 for Microsoft Windows (64-bit) (April 11, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 98, 1, 43, "Subsection"],
Cell[681, 25, 296, 5, 31, "Input"],
Cell[980, 32, 390, 7, 31, "Input"],
Cell[CellGroupData[{
Cell[1395, 43, 99, 1, 34, "Subsubsection"],
Cell[1497, 46, 334, 10, 31, "Input"],
Cell[1834, 58, 668, 16, 92, "Input"],
Cell[2505, 76, 246, 5, 31, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2800, 87, 105, 1, 43, "Subsection"],
Cell[CellGroupData[{
Cell[2930, 92, 365, 7, 31, "Input"],
Cell[3298, 101, 9745, 238, 171, "Output"]
}, Open  ]],
Cell[13058, 342, 154, 3, 30, "Text"],
Cell[CellGroupData[{
Cell[13237, 349, 196, 4, 31, "Input"],
Cell[13436, 355, 4562, 86, 236, "Output"]
}, Open  ]],
Cell[18013, 444, 1341, 41, 54, "Input"],
Cell[19357, 487, 439, 13, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19833, 505, 108, 1, 43, "Subsection"],
Cell[CellGroupData[{
Cell[19966, 510, 1107, 25, 52, "Input"],
Cell[21076, 537, 28381, 523, 384, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[49506, 1066, 98, 1, 43, "Subsection"],
Cell[49607, 1069, 842, 24, 72, "Input"],
Cell[CellGroupData[{
Cell[50474, 1097, 98, 1, 34, "Subsubsection"],
Cell[CellGroupData[{
Cell[50597, 1102, 1304, 36, 105, "Input"],
Cell[51904, 1140, 2269, 45, 344, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[54234, 1192, 110, 1, 43, "Subsection"],
Cell[54347, 1195, 464, 8, 49, "Text"],
Cell[54814, 1205, 94, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[54933, 1210, 1395, 39, 143, "Input"],
Cell[56331, 1251, 12915, 183, 65, "Message"],
Cell[69249, 1436, 166, 2, 31, "Output"]
}, Open  ]],
Cell[69430, 1441, 91, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[69546, 1446, 1495, 40, 143, "Input"],
Cell[71044, 1488, 12660, 180, 65, "Message"],
Cell[83707, 1670, 12892, 183, 79, "Message"],
Cell[96602, 1855, 252, 3, 31, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[96903, 1864, 111, 1, 43, "Subsection"],
Cell[CellGroupData[{
Cell[97039, 1869, 115, 1, 34, "Subsubsection"],
Cell[CellGroupData[{
Cell[97179, 1874, 829, 22, 55, "Input"],
Cell[98011, 1898, 1996, 44, 227, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100044, 1947, 1187, 31, 55, "Input"],
Cell[101234, 1980, 323, 4, 31, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[101606, 1990, 98, 1, 34, "Subsubsection"],
Cell[101707, 1993, 256, 6, 31, "Input"],
Cell[CellGroupData[{
Cell[101988, 2003, 1340, 35, 123, "Input"],
Cell[103331, 2040, 266, 3, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103634, 2048, 1147, 30, 67, "Input"],
Cell[104784, 2080, 1923, 43, 239, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[106756, 2129, 104, 1, 34, "Subsubsection"],
Cell[106863, 2132, 309, 6, 31, "Input"],
Cell[CellGroupData[{
Cell[107197, 2142, 476, 11, 31, "Input"],
Cell[107676, 2155, 12066, 292, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119779, 2452, 87, 2, 31, "Input"],
Cell[119869, 2456, 1911, 43, 233, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121817, 2504, 1353, 35, 55, "Input"],
Cell[123173, 2541, 355, 5, 64, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

